%define _disable_ld_no_undefined 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global systemd_units localsearch-3.service localsearch-control-3.service localsearch-writeback-3.service

Name:		localsearch
Version:	3.9.0
Release:	%mkrel 1
Summary:	Filesystem indexer and metadata extractor
Group:		Graphical desktop/GNOME

# libtracker-extract is LGPLv2+; the miners are a mix of GPLv2+ and LGPLv2+ code
License:	GPLv2+ and LGPLv2+
URL:		https://gnome.pages.gitlab.gnome.org/localsearch
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	asciidoc
BuildRequires:	meson
BuildRequires:	giflib-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	systemd
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gupnp-dlna-2.0)
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libosinfo-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(tinysparql-3.0) >= %{url_ver}
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

Requires:	tinysparql%{?_isa} >= %{url_ver}

Obsoletes:	tracker-miners < 3.7.3-2
Provides:	tracker-miners = %{version}-%{release}

%description
LocalSearch offers a series of D-Bus services to index filesystem
resources, and expose this data so it can be queried in arbitrary
manners from consumers. LocalSearch is the indexer and search
engine that powers desktop search for core GNOME components.


%prep
%autosetup -p1


%build
%meson -Dfunctional_tests=false \
       -Dmp3=true
%meson_build


%install
%meson_install

%find_lang %{name}3


%post
%systemd_user_post %{systemd_units}

%files -f %{name}3.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_libdir}/%{name}-3.0/
%{_libexecdir}/%{name}*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker*
%{_datadir}/dbus-1/services/org.freedesktop.LocalSearch*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}3/
%{_mandir}/man1/%{name}*.1*
%{_sysconfdir}/xdg/autostart/%{name}*.desktop
%{_userunitdir}/%{name}*.service


%changelog
* Thu Mar 20 2025 daviddavid <daviddavid> 3.9.0-1.mga10
+ Revision: 2167099
- new version 3.9.0

* Sun Mar 16 2025 wally <wally> 3.8.2-3.mga10
+ Revision: 2164935
- rebuild for libxml2 2.13.6

* Sun Jan 12 2025 wally <wally> 3.8.2-2.mga10
+ Revision: 2138305
- rebuild for icu 76.1

* Sun Dec 29 2024 daviddavid <daviddavid> 3.8.2-1.mga10
+ Revision: 2131026
- new version 3.8.2
- project was renamed upstream as localsearch

* Sun Jun 02 2024 daviddavid <daviddavid> 3.7.3-1.mga10
+ Revision: 2069230
- new version 3.7.3

* Fri Mar 29 2024 daviddavid <daviddavid> 3.7.1-1.mga10
+ Revision: 2053101
- new version 3.7.1

* Tue Mar 19 2024 daviddavid <daviddavid> 3.7.0-1.mga10
+ Revision: 2050700
- new version 3.7.0

* Thu Dec 07 2023 daviddavid <daviddavid> 3.6.2-1.mga10
+ Revision: 2014229
- new version 3.6.2

* Tue Sep 26 2023 tv <tv> 3.6.0-1.mga10
+ Revision: 1991109
- Update to 3.6.0

* Sat Jun 03 2023 daviddavid <daviddavid> 3.5.2-1.mga9
+ Revision: 1960775
- new version 3.5.2

* Thu Apr 27 2023 neoclust <neoclust> 3.5.1-1.mga9
+ Revision: 1955095
- New version 3.5.1

* Sat Apr 22 2023 daviddavid <daviddavid> 3.5.0-1.mga9
+ Revision: 1954172
- update to 3.5.0 (final)
+ tmb <tmb>
- update to 3.5.0.rc

* Sat Jan 07 2023 squidf <squidf> 3.4.2-2.mga9
+ Revision: 1931178
- Mass rebuild for icu 72.1

* Wed Dec 14 2022 tv <tv> 3.4.2-1.mga9
+ Revision: 1922037
- Update to 3.4.2

* Mon Dec 12 2022 ns80 <ns80> 3.4.1-2.mga9
+ Revision: 1921120
- rebuild for new libtiff

* Wed Oct 26 2022 ovitters <ovitters> 3.4.1-1.mga9
+ Revision: 1899465
- new version 3.4.1

* Tue Sep 27 2022 wally <wally> 3.4.0-2.mga9
+ Revision: 1892863
- disable RSS miner as it's depending on dead libgrss and pulling libsoup2

* Sun Sep 18 2022 ovitters <ovitters> 3.4.0-1.mga9
+ Revision: 1889722
- new version 3.4.0

* Fri Jun 24 2022 papoteur <papoteur> 3.3.1-3.mga9
+ Revision: 1865928
- Mass Rebuild for dependencies

* Sat Jun 18 2022 squidf <squidf> 3.3.1-2.mga9
+ Revision: 1864923
- rebuild for icu 71.1

* Wed Jun 01 2022 ovitters <ovitters> 3.3.1-1.mga9
+ Revision: 1860937
- new version 3.3.1

* Mon Mar 21 2022 tv <tv> 3.3.0-1.mga9
+ Revision: 1814538
- Update to 3.3.0

* Tue Mar 15 2022 tv <tv> 3.3.0~rc-1.mga9
+ Revision: 1793313
- Update to 3.3.0.rc
+ ovitters <ovitters>
- new version 3.2.2
- new version 3.2.1
- new version 3.2.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.1.2-2.mga9
+ Revision: 1738983
- rebuild for icu

* Sat Jun 12 2021 ovitters <ovitters> 3.1.2-1.mga9
+ Revision: 1730452
- new version 3.1.2

* Fri Apr 02 2021 ovitters <ovitters> 3.1.1-1.mga9
+ Revision: 1712867
- new version 3.1.1

* Thu Mar 25 2021 ovitters <ovitters> 3.1.0-1.mga9
+ Revision: 1710102
- new version 3.1.0

* Wed Dec 09 2020 ovitters <ovitters> 3.0.3-1.mga8
+ Revision: 1654922
- new version 3.0.3

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.0.1-2.mga8
+ Revision: 1650936
- rebuild for icu

* Fri Oct 02 2020 ovitters <ovitters> 3.0.1-1.mga8
+ Revision: 1631766
- new version 3.0.1

* Mon Sep 14 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1626129
- new version 3.0.0

* Mon Sep 07 2020 ovitters <ovitters> 2.99.5-1.mga8
+ Revision: 1623175
- new version 2.99.5

* Sat Sep 05 2020 tv <tv> 2.99.4-1.mga8
+ Revision: 1622713
- BR asciidoc
- BR pkgconfig(libnm)
- 2.99.4

* Mon Aug 24 2020 ovitters <ovitters> 2.3.4-1.mga8
+ Revision: 1618729
- new version 2.3.4

* Wed Jul 01 2020 wally <wally> 2.3.3-3.mga8
+ Revision: 1601074
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 2.3.3-2.mga8
+ Revision: 1564508
- rebuild for new icu 66.1

* Mon Mar 09 2020 ovitters <ovitters> 2.3.3-1.mga8
+ Revision: 1555131
- new version 2.3.3

* Wed Feb 19 2020 ovitters <ovitters> 2.3.2-1.mga8
+ Revision: 1542309
- new version 2.3.2

* Tue Feb 18 2020 umeabot <umeabot> 2.3.1-3.mga8
+ Revision: 1539078
- Mageia 8 Mass Rebuild

* Fri Nov 29 2019 tv <tv> 2.3.1-2.mga8
+ Revision: 1463792
- rebuild for new libosinfo

* Sat Oct 12 2019 ovitters <ovitters> 2.3.1-1.mga8
+ Revision: 1452376
- new version 2.3.1

* Sat Oct 05 2019 daviddavid <daviddavid> 2.3.0-2.mga8
+ Revision: 1449485
- rebuild for new icu 65.1

* Tue Sep 10 2019 ovitters <ovitters> 2.3.0-1.mga8
+ Revision: 1439399
- new version 2.3.0

* Thu Sep 05 2019 ovitters <ovitters> 2.2.99.1-1.mga8
+ Revision: 1437691
- new version 2.2.99.1

* Thu Aug 08 2019 ovitters <ovitters> 2.2.99.0-1.mga8
+ Revision: 1428102
- new version 2.2.99.0

* Wed May 08 2019 tmb <tmb> 2.2.2-1.mga7
+ Revision: 1396830
- update to 2.2.2

* Thu Apr 18 2019 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1392952
- Rebuild with meson 0.50.1

* Thu Mar 07 2019 ovitters <ovitters> 2.2.1-1.mga7
+ Revision: 1372168
- new version 2.2.1

* Mon Feb 25 2019 ovitters <ovitters> 2.2.0-1.mga7
+ Revision: 1370095
- new version 2.2.0
- switch to meson build system

* Sun Jan 13 2019 kekepower <kekepower> 2.1.5-3.mga7
+ Revision: 1356073
- Rebuild for new exempi

* Fri Jan 11 2019 daviddavid <daviddavid> 2.1.5-2.mga7
+ Revision: 1354834
- rebuild for new icu

* Wed Sep 26 2018 ovitters <ovitters> 2.1.5-1.mga7
+ Revision: 1306444
- new version 2.1.5

* Tue Sep 04 2018 daviddavid <daviddavid> 2.1.4-1.mga7
+ Revision: 1257071
- new version 2.1.4

* Tue Aug 28 2018 daviddavid <daviddavid> 2.0.5-2.mga7
+ Revision: 1255137
- rebuild for new icu

* Mon Jun 25 2018 ovitters <ovitters> 2.0.5-1.mga7
+ Revision: 1239627
- new version 2.0.5

* Thu Apr 12 2018 ovitters <ovitters> 2.0.3-2.mga7
+ Revision: 1218093
+ rebuild (emptylog)

* Thu Apr 12 2018 ovitters <ovitters> 2.0.3-1.mga7
+ Revision: 1218089
- enable mp3
- fix source url
- add group
- from Fedora

